Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQTimerEvent Class Reference

The TQTimerEvent class contains parameters that describe a timer event. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQTimerEvent ( int timerId )
- int timerId () const

## Detailed Description

The TQTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with TQObject::startTimer().

The TQTimer class provides a high-level programming interface that uses signals instead of events. It also provides one-shot timers.

The event handler TQObject::timerEvent() receives timer events.

See also TQTimer, TQObject::timerEvent(), TQObject::startTimer(), TQObject::killTimer(), TQObject::killTimers(), and Event Classes.

## Member Function Documentation

### TQTimerEvent::TQTimerEvent ( int timerId )

Constructs a timer event object with the timer identifier set to timerId.

### int TQTimerEvent::timerId () const

Returns the unique timer identifier, which is the same identifier as returned from TQObject::startTimer().

Example: dclock/dclock.cpp.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.